#ifndef TRIE_HASH_pkgTagHash
#define TRIE_HASH_pkgTagHash
#include <stddef.h>
#include <stdint.h>
#include <apt-pkg/tagfile.h>
enum class pkgTagSection::Key {
    Architecture = 0,
    Binary = 1,
    Breaks = 2,
    Bugs = 3,
    Build_Conflicts = 4,
    Build_Conflicts_Arch = 5,
    Build_Conflicts_Indep = 6,
    Build_Depends = 7,
    Build_Depends_Arch = 8,
    Build_Depends_Indep = 9,
    Build_Essential = 10,
    Built_For_Profiles = 11,
    Built_Using = 12,
    Checksums_Md5 = 13,
    Checksums_Sha1 = 14,
    Checksums_Sha256 = 15,
    Checksums_Sha512 = 16,
    Class = 17,
    Conffiles = 18,
    Config_Version = 19,
    Conflicts = 20,
    Depends = 21,
    Description = 22,
    Description_md5 = 23,
    Directory = 24,
    Dm_Upload_Allowed = 25,
    Enhances = 26,
    Essential = 27,
    Files = 29,
    Filename = 28,
    Format = 30,
    Homepage = 31,
    Important = 32,
    Installed_Size = 33,
    Installer_Menu_Item = 34,
    Kernel_Version = 35,
    MD5sum = 37,
    MSDOS_Filename = 38,
    Maintainer = 36,
    Multi_Arch = 39,
    Optional = 40,
    Origin = 41,
    Original_Maintainer = 42,
    Package = 43,
    Package_List = 44,
    Package_Revision = 46,
    Package_Type = 47,
    Package__Revision = 45,
    Phased_Update_Percentage = 48,
    Pre_Depends = 49,
    Priority = 50,
    Protected = 51,
    Provides = 52,
    Recommended = 53,
    Recommends = 54,
    Replaces = 55,
    Revision = 56,
    SHA1 = 58,
    SHA256 = 59,
    SHA512 = 60,
    Section = 57,
    Size = 61,
    Source = 62,
    Standards_Version = 63,
    Status = 64,
    Subarchitecture = 65,
    Suggests = 66,
    Tag = 67,
    Task = 68,
    Testsuite = 69,
    Testsuite_Triggers = 70,
    Triggers_Awaited = 71,
    Triggers_Pending = 72,
    Uploaders = 73,
    Vcs_Bzr = 77,
    Vcs_Cvs = 78,
    Vcs_Git = 80,
    Vcs_Hg = 81,
    Vcs_Mtn = 82,
    Vcs_Svn = 83,
    Vcs_Arch = 74,
    Vcs_Browse = 75,
    Vcs_Browser = 76,
    Vcs_Darcs = 79,
    Version = 84,
    Unknown = -1,
};
enum pkgTagSection::Key pkgTagHash(const char *string, size_t length);
#endif                       /* TRIE_HASH_pkgTagHash */
